Linux repositories inspector

libvirt-doc - API reference and website documentation for libvirt

Libvirt is a C toolkit to interact with the virtualization capabilities of recent versions of Linux (and other OSes). The library aims at providing a long term stable C API for different virtualization mechanisms. It currently supports QEMU, KVM, XEN, OpenVZ, LXC, and VirtualBox.
This package contains the documentation.
5.2.0
Debian iconDebian experimental
5.1.0
OpenSUSE iconOpenSUSE Leap 15.1
OpenSUSE iconOpenSUSE Tumbleweed
5.0.0
Debian iconDebian 10.0
Ubuntu iconUbuntu 19.04
4.6.0
Ubuntu iconUbuntu 18.10
4.0.0
OpenSUSE iconOpenSUSE Leap 15.0
Ubuntu iconUbuntu 18.04 LTS
3.6.0
Ubuntu iconUbuntu 17.10
3.3.0
OpenSUSE iconOpenSUSE Leap 42.3
3.0.0
Debian iconDebian 9.0
1.3.1
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb5.0.0-120.01.20191.17 MiB6.11 MiB
Debian iconDebian experimental experimental/maindeb5.2.0-110.04.20191.24 MiB7.33 MiB
Debian iconDebian 9.0 stretch/maindeb3.0.0-4+deb9u312.01.20191.14 MiB6.54 MiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm4.0.0-lp150.6.1817.01.20191.79 MiB6.77 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.0.0-lp150.7.6.118.01.20191.79 MiB6.77 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.0 update/ossrpm4.0.0-lp150.7.3.118.01.20191.79 MiB6.77 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm5.1.0-lp151.4.130.03.20191.82 MiB6.99 MiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 ossrpm3.3.0-4.1117.01.20191.29 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-9.121.01.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-6.121.01.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-21.121.02.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-18.121.01.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-15.121.01.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 42.3 update/ossrpm3.3.0-12.121.01.20191.3 MiB5.88 MiBhttp://bugs.opensuse.org
OpenSUSE iconOpenSUSE Tumbleweed ossrpm5.1.0-3.129.03.20191.77 MiB6.99 MiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 17.10 artful/maindeb3.6.0-1ubuntu510.11.20171.18 MiB7.4 MiB
Ubuntu iconUbuntu 17.10 artful-security/maindeb3.6.0-1ubuntu6.818.06.20181.18 MiB7.4 MiB
Ubuntu iconUbuntu 17.10 artful-updates/maindeb3.6.0-1ubuntu6.818.06.20181.18 MiB7.4 MiB
Ubuntu iconUbuntu 18.04 LTS bionic/maindeb4.0.0-1ubuntu812.06.20181.15 MiB7.03 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-security/maindeb4.0.0-1ubuntu8.814.03.20191.14 MiB7.03 MiB
Ubuntu iconUbuntu 18.04 LTS bionic-updates/maindeb4.0.0-1ubuntu8.814.03.20191.14 MiB7.03 MiB
Ubuntu iconUbuntu 18.10 cosmic/maindeb4.6.0-2ubuntu314.01.20191.17 MiB7.2 MiB
Ubuntu iconUbuntu 18.10 cosmic-security/maindeb4.6.0-2ubuntu3.414.03.20191.17 MiB7.2 MiB
Ubuntu iconUbuntu 18.10 cosmic-updates/maindeb4.6.0-2ubuntu3.414.03.20191.17 MiB7.2 MiB
Ubuntu iconUbuntu 19.04 disco/maindeb5.0.0-1ubuntu210.03.20191.18 MiB7.25 MiB
Ubuntu iconUbuntu 16.04 LTS xenial/maindeb1.3.1-1ubuntu1010.11.20171.14 MiB7.17 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/maindeb1.3.1-1ubuntu10.2514.03.20191.14 MiB7.18 MiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/maindeb1.3.1-1ubuntu10.2514.03.20191.14 MiB7.18 MiB

Latest updates

Debian experimental icon

Debian experimental experimental/main: Updated from 5.1.0-1 to 5.2.0-1

10.04.2019 10:55
  • Team upload.
Christian Ehrhardt
  • [3997186] d/libvirt-daemon-system.maintscript: remove obsolete conffile /etc/logrotate.d/libvirtd.uml became obsolete since UML was dropped in libvirt 5.0 (Closes: #920574)
  • [c64d020] d/libvirt-daemon-system.libvirtd.default: clarify libvirtd_opts example (Closes: #921713)
Guido Günther
  • [dd9d74f] New upstream version 5.2.0
  • [790365e] CVE-2019-3886: Don't allow unprivileged users to use the guest agent. Apply upstream patches remote-enforce-ACL-write-permission-for-getting-guest-tim.patch api-disallow-virDomainGetHostname-for-read-only-connectio.patch (Closes: #926418)
Andrea Bolognani
  • [453f85d] Rediff patches. The patches security-aa-helper-allow-virt-aa-helper-to-read-dev-dri.patch security-aa-helper-generate-more-rules-for-gl-devices.patch security-aa-helper-gl-devices-in-sysfs-at-arbitrary-depth.patch security-aa-helper-nvidia-rules-for-gl-devices.patch virt-aa-helper-generate-rules-for-gl-enabled-graphics-dev.patch are included in libvirt 5.2.0 and have thus been dropped.
  • [a4294ef] Bump symbol versions.
  • [68394f6] Add tests-Avoid-writing-into-HOME-during-virsh-snapshot.patch
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 5.1.0-lp151.2.2 to 5.1.0-lp151.4.1

30.03.2019 15:04
  • apparmor: reintroduce upstream lxc mount rules
    Drop apparmor-no-mount.patch
    bsc#1130129
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 5.1.0-2.1 to 5.1.0-3.1

29.03.2019 15:45
  • apparmor: reintroduce upstream lxc mount rules
    Drop apparmor-no-mount.patch
    bsc#1130129
Debian experimental icon

Debian experimental experimental/main: Version 5.1.0-1 introduced

28.03.2019 17:30
Laurent Bigonville
  • [76e2cb7] Don't recommend ebtables.
    It's part of the iptables package now. (Closes: #918472)
Guido Günther
  • [5814c89] New upstream version 5.1.0
  • [55d063d] Rediff patches
  • [1102dae] d/gbp.conf: Switch to experimental
  • [cdf3787] d/rules: Adjust to now versioned wireshark module path
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 4.0.0-lp150.7.6.1 reintroduced

23.03.2019 17:37
  • libxl: Implement virDomainBlockResize 0001-libxl-add-support-for-BlockResize-API.patch
    FATE#325467, bsc#1094325, bsc#1094725
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 4.0.0-lp150.7.3.1 reintroduced

23.03.2019 17:37
  • cpu: add support for 'ssbd' and 'virt-ssbd' CPUID feature bits CVE-2018-3639
    1dbca2ec-CVE-2018-3639.patch, 92673422-CVE-2018-3639.patch bsc#1092885
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 5.1.0-lp151.1.2 to 5.1.0-lp151.2.2

22.03.2019 07:37
  • util: skip RDMA detection for non-PCI network devices
f38ef0fa-no-RDMA-check.patch
bsc#1112182
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 4.0.0-lp150.7.6.1 removed

22.03.2019 04:30
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 update/oss: Version 4.0.0-lp150.7.3.1 removed

22.03.2019 04:30
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 5.1.0-1.1 to 5.1.0-2.1

21.03.2019 12:22
  • supportconfig: collect rotated logs in /var/log/libvirt/* Modified libvirt-supportconfig
    bsc#1124667
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 5.1.0-lp151.1.1 to 5.1.0-lp151.1.2

20.03.2019 19:48
  • qemu: s390: show correct CPU status after guest crash 0001-qemu-Fix-query-cpus-fast-target-architecture-detecti.patch bsc#1127841
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 5.0.0-4.2 to 5.1.0-1.1

15.03.2019 14:48
  • util: skip RDMA detection for non-PCI network devices
f38ef0fa-no-RDMA-check.patch
bsc#1112182
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-updates/main: Updated from 4.0.0-1ubuntu8.7 to 4.0.0-1ubuntu8.8

14.03.2019 15:55
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-updates/main: Updated from 1.3.1-1ubuntu10.24 to 1.3.1-1ubuntu10.25

14.03.2019 15:50
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-updates/main: Updated from 4.6.0-2ubuntu3.3 to 4.6.0-2ubuntu3.4

14.03.2019 15:40
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-security/main: Updated from 1.3.1-1ubuntu10.24 to 1.3.1-1ubuntu10.25

14.03.2019 15:30
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-security/main: Updated from 4.0.0-1ubuntu8.2 to 4.0.0-1ubuntu8.8

14.03.2019 15:25
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-security/main: Version 4.6.0-2ubuntu3.4 introduced

14.03.2019 14:50
  • SECURITY UPDATE: NULL pointer dereference in qemuAgentGetInterfaces
    • debian/patches/CVE-2019-3840.patch: require a reply in src/qemu/qemu_agent.c.
    • CVE-2019-3840
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Updated from 5.0.0-lp151.3.1 to 5.1.0-lp151.1.1

14.03.2019 09:49
  • qemu: s390: show correct CPU status after guest crash 0001-qemu-Fix-query-cpus-fast-target-architecture-detecti.patch bsc#1127841
OpenSUSE Tumbleweed icon

OpenSUSE Tumbleweed oss: Updated from 5.0.0-4.1 to 5.0.0-4.2

11.03.2019 10:12
  • spec: disable VirtualBox driver

Related packages

libvirt - API for controlling virtualization engines (openvz,kvm,qemu,virtualbox,xen,etc)
⇧ Top